Create vector store
vector_stores.create(VectorStoreCreateParams**kwargs ) -> VectorStore
POST
/vector_storesCreate a vector store.
Parameters
description: Optional[str]
A description for the vector store. Can be used to describe the vector store’s purpose.
file_ids: Optional[Sequence[str]]
A list of File IDs that the vector store should use. Useful for tools like file_search that can access files.
maxItems500
metadata: Optional[Metadata]
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.
Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.
Create vector store
from openai import OpenAI
client = OpenAI()
vector_store = client.vector_stores.create(
name="Support FAQ"
)
print(vector_store)
Response example
{
"id": "vs_abc123",
"object": "vector_store",
"created_at": 1699061776,
"name": "Support FAQ",
"description": "Contains commonly asked questions and answers, organized by topic.",
"file_counts": {
"in_progress": 0,
"completed": 0,
"failed": 0,
"cancelled": 0,
"total": 0
},
"usage_bytes": 0,
"status": "completed",
"last_active_at": null,
"metadata": {}
}
Returns Examples
Response example
{
"id": "vs_abc123",
"object": "vector_store",
"created_at": 1699061776,
"name": "Support FAQ",
"description": "Contains commonly asked questions and answers, organized by topic.",
"file_counts": {
"in_progress": 0,
"completed": 0,
"failed": 0,
"cancelled": 0,
"total": 0
},
"usage_bytes": 0,
"status": "completed",
"last_active_at": null,
"metadata": {}
}